Bug 150046 - the ldap module includes sasl.h from cyrus-sasl V1
Summary: the ldap module includes sasl.h from cyrus-sasl V1
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libuser   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-01 22:08 UTC by jens.koerber
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.53.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-05 00:12:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sasl2 patch (3.07 KB, patch)
2005-03-01 22:12 UTC, jens.koerber
no flags Details | Diff

Description jens.koerber 2005-03-01 22:08:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.4.3) Gecko/20050220

Description of problem:
the ldap module includes sasl.h from cyrus-sasl V1, while
openldap is build against sasl V2. With included patch
it builds cleanly, but sasldb.c may require further tweaking.

Version-Release number of selected component (if applicable):
libuser-0.52.5-1

How reproducible:
Always

Steps to Reproduce:
1.deinstall sasl1
2.rebuild libuser
3.
  

Additional info:

Comment 1 jens.koerber 2005-03-01 22:12:38 UTC
Created attachment 111554 [details]
sasl2 patch

Comment 2 Miloslav Trmač 2005-03-05 00:12:12 UTC
Good catch, thanks!
The wrong include is fixed in rawhide libuser-0.53.3-1. The sasldb module has
already been converted to sasl v2, see bug #126727.


Note You need to log in before you can comment on or make changes to this bug.